ProcessFinder (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.ptql
Class ProcessFinder

    java.lang.Object
      org.hyperic.sigar.ptql.ProcessFinder

    public class ProcessFinder

extends java.lang.Object

Constructor Summary
`ProcessFinder(Sigar sigar)`
`ProcessFinder(SigarProxy proxy)` Deprecated.

Method Summary
`long[]` | `find(ProcessQuery query)`
`static long[]` | `find(SigarProxy sigar, java.lang.String query)`
`static long[]` | `find(Sigar sigar, java.lang.String query)`
`long[]` | `find(java.lang.String query)`
`long` | `findSingleProcess(ProcessQuery query)`
`long` | `findSingleProcess(java.lang.String query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessFinder

    public ProcessFinder(SigarProxy proxy)

  Deprecated.

### ProcessFinder

    public ProcessFinder(Sigar sigar)

Method Detail

### findSingleProcess

    public long findSingleProcess(java.lang.String query)
                           throws SigarException

  Throws:
    `SigarException`

### findSingleProcess

    public long findSingleProcess(ProcessQuery query)
                           throws SigarException

  Throws:
    `SigarException`

### find

    public static long[] find(Sigar sigar,
                              java.lang.String query)
                       throws SigarException

  Throws:
    `SigarException`

### find

    public static long[] find(SigarProxy sigar,
                              java.lang.String query)
                       throws SigarException

  Throws:
    `SigarException`

### find

    public long[] find(java.lang.String query)
                throws SigarException

  Throws:
    `SigarException`

### find

    public long[] find(ProcessQuery query)
                throws SigarException

  Throws:
    `SigarException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.